#!/usr/bin/perl
use strict;

my @group;
open(IN,'ls Score_?????_001.txt | ');
while (<IN>) {
	chomp;
	if ($_ eq '') {
		next;
	}

	if ($_ =~ /Score_(\d{5})_001.txt/) {
		push(@group,$1);
	}
}
close(IN);

my $n_pass = 0;
open(IN,'ls Cofold_use_passenger_*.fa | ');
while (<IN>) {
	chomp;
	if ($_ eq '') {
		next;
	}

	if (-e $_) {
		$n_pass ++;
	}
}
close(IN);


my $n = @group;

foreach my $g (@group) {
	if (fork() == 0) {
		my @files;
		my @infos;
		foreach (1..$n_pass) {
			my $file = sprintf("Score_%s_%03d.txt",$g,$_);
			my $info = $file;
			$info =~ s/^Score_/Seq_/;

			if (-e $file) {
				push(@files,$file);
			}
			if (-e $info) {
				push(@infos,$info);
			}
		}

		system('cat '.join(' ',@files).' > Score_'.$g.'.txt');
		system('cat '.join(' ',@infos).' > Seq_'.$g.'.txt');

		foreach my $file (@files) {
			system('rm -f '.$file);
		}
		foreach my $file (@infos) {
			system('rm -f '.$file);
		}

		exit;
	}
}

wait for 0 .. $n;
